#import "LivepushPlugin.h"
#import "LivePusherFactory.h"
#import "LiveBaseFactory.h"
#import "LivePusherTool.h"

@implementation LivepushPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    LivePusherFactory *livePusherFactory = [[LivePusherFactory alloc] initWithMessenger:registrar.messenger];
    [registrar registerViewFactory:livePusherFactory withId:LivePusherPreviewName];
    
    [LiveBaseFactory registerWithRegistrar:registrar];
}

@end
